Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1568050

Summary: /etc/os-release doesnt have ID_LIKE=fedora
Product: [Fedora] Fedora Reporter: Sean O'Keeffe <sokeeffe>
Component: generic-releaseAssignee: Tom "spot" Callaway <tcallawa>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: bruno, mboddu, tcallawa
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: generic-release-28-1.fc28 generic-release-27-3.fc27 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-04-25 00:02:07 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Sean O'Keeffe 2018-04-16 16:31:45 UTC
Description of problem:

generic-release /etc/os-release should have ID_LIKE=fedora. Simple as that, noticed when looking into https://github.com/FrostyX/tracer/issues/105


$ cat /etc/os-release
NAME=Generic
VERSION="27 (Generic)"
ID=generic
VERSION_ID=27
PRETTY_NAME="Generic 27 (Generic)"
ANSI_COLOR="0;34"
CPE_NAME="cpe:/o:generic:generic:27"
HOME_URL="http://www.zombo.com/"
SUPPORT_URL="https://en.wikipedia.org/wiki/Help!_(album)"
BUG_REPORT_URL="https://youtu.be/CSemARaqGqE"
REDHAT_BUGZILLA_PRODUCT="Generic"
REDHAT_BUGZILLA_PRODUCT_VERSION=%{bug_version}
REDHAT_SUPPORT_PRODUCT="Generic"
REDHAT_SUPPORT_PRODUCT_VERSION=%{bug_version}
PRIVACY_POLICY_URL="http://nsa.gov"

Comment 1 Fedora Update System 2018-04-16 17:40:19 UTC
generic-release-28-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-bd45ceb7da

Comment 2 Fedora Update System 2018-04-16 17:40:27 UTC
generic-release-27-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-41ab8b4649

Comment 3 Fedora Update System 2018-04-17 03:05:23 UTC
generic-release-28-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-bd45ceb7da

Comment 4 Fedora Update System 2018-04-18 03:00:25 UTC
generic-release-27-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-41ab8b4649

Comment 5 Fedora Update System 2018-04-25 00:02:07 UTC
generic-release-28-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2018-05-20 20:56:04 UTC
generic-release-27-3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.